Subject: Re: bug#28607: 27.0.50; help-fns unsolicited elisp loading

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 May 2019 19:15:40 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked], Stefan Monnier <[email-masked]>
> Date: Sat, 18 May 2019 12:00:52 -0400
> 
> > Thanks, this LGTM.  I wonder whether we should document
> > definition-prefixes (together with the mechinery it is part of) and
> > this new option in the ELisp manual.
> 
> Yeah, I think the machinery deserves a mention in the Elisp manual at
> least.  Though the user option should go in the Emacs manual.

Thanks, this LGTM.  A couple of minor nits:

> +@node Autoload by Prefix
> +@subsection Autoload by Prefix

I think a "@cindex autoload by prefix" would be good here.

> +During completion for the commands @code{describe-variable} and
> +@code{describe-function}, Emacs will try to load files which may
> +contain definitions matching the prefix being completed.  The variable
> +@code{definition-prefixes} holds a hashtable which maps a prefix to
> +the corresponding list of files to load for it.  Entries to this
> +mapping are added by calls to @code{register-definition-prefixes}
> +which are generated by @code{update-file-autoloads}.  Files which
> +don't contain any definitions worth loading (test files, for
> +examples), should set @code{autoload-compute-prefixes} to @code{nil}
> +as a file-local variable.

I would add a cross-reference to where update-file-autoloads is
described after it's mentioned.